\documentclass[12pt]{article}

\usepackage{amsthm,enumerate,amsmath,graphics,float,amssymb,kbordermatrix}

\usepackage[text={17cm,23cm},centering]{geometry}

\pagestyle{empty}

\theoremstyle{definition}
\newtheorem{Q}{Question}
\newtheorem{Ex}{Exercise}
\newtheorem*{sol}{Solution}

\newcommand{\cl}{\operatorname{cl}}

\setlength{\parskip}{1ex}
\setlength{\parindent}{0pt}

\begin{document}

\vspace{4ex}
\hrule
MATH432 - 2009\hfill
Assignment 3 \hfill
Due September 24
\vspace{1ex}\hrule\vspace{1ex}

\begin{Q}
Let $M=(E,\mathcal{I})$ be a matroid, and suppose that
$e$ is an element of $E$ such that $M \backslash e = M /e$.
Prove that $e$ is a loop or a coloop of $M$.
\end{Q}

\begin{Q}
List all the connected matroids with four elements.
\end{Q}

\begin{Q}
Characterize when the uniform matroid $U_{r,n}$ is
disconnected.
\end{Q}

\begin{Q}
Let $e$ be an element of the matroid $M$.
\begin{enumerate}[(i)]
\item Prove that $r(M\backslash e)=r(M)$, unless $e$ is a coloop,
in which case $r(M\backslash e)=r(M)-1$.
\item Prove that $r(M/ e)=r(M)-1$, unless $e$ is a loop,
in which case $r(M/ e)=r(M)$.
\end{enumerate}
\end{Q}

\begin{Q}
A matroid $M$ is \emph{paving} if every circuit has
size either $r(M)$ or $r(M)+1$.
\begin{enumerate}[(i)]
\item Give an example of a paving matroid.
\item Give an example of a matroid that is not paving.
\item Prove that if $M=(E,\mathcal{I})$ is paving,
and $e \in E$, then $M/e$ and $M \backslash e$ are paving.
\item {\bf Optional, difficult.}
Characterize the excluded minors for the
class of paving matroids.
\end{enumerate}
\end{Q}

\begin{Q}
Find all disconnected paving matroids.
\end{Q}

\begin{Q}
Let $M_{1}=(E_{1},\mathcal{I}_{1})$ and
$M_{2}=(E_{2},\mathcal{I}_{2})$ be matroids with disjoint
ground sets.
\begin{enumerate}[(i)]
\item Prove that the set of hyperplanes of
$M_{1}\oplus M_{2}$ is
$$\{H_{1}\cup E_{2}\mid H_{1}\ \mbox{is a hyperplane of}\ 
M_{1}\}\cup
\{E_{1}\cup H_{2}\mid H_{2}\ \mbox{is a hyperplane of}\ 
M_{2}\}.$$
\item Using the previous result (or otherwise),
prove that $(M_{1}\oplus M_{2})^{*}=M_{1}^{*}\oplus M_{2}^{*}$.
\end{enumerate}
\end{Q}

\begin{Q}
Suppose that $\{e,f\}$ is a circuit and a cocircuit
of the matroid $M=(E,\mathcal{I})$, where $|E| \geq 3$.
Show that $M$ is not connected.
\end{Q}

\begin{Q}
  \begin{enumerate}[(i)]
  \item Give an example of a connected matroid $M=(E,\mathcal{I})$
with an element $e \in E$ such that $M \backslash e$ is not connected.
  \item Give an example of a connected matroid $M=(E,\mathcal{I})$
with an element $e \in E$ such that $M/ e$ is not connected.
  \end{enumerate}
\end{Q}

\begin{Q}
{\bf [Difficult?]}
Let $M=(E,\,\mathcal{I})$ be a connected matroid, and
let $e$ be an element of $E$.
Prove that either $M\backslash e$ or $M/e$ is connected.
\end{Q}

\end{document}
